import { AppState, ExtensionId, StoreExtension } from '../models';
export interface ReduxDevtoolsOptions {
    name: string;
    maxAge: number;
    latency: number;
    trace: boolean;
    traceLimit: number;
}
export declare class ReduxDevtoolsExtension extends StoreExtension {
    private readonly options;
    id: ExtensionId;
    private readonly devtoolsExtension;
    private devtoolsConnection;
    private readonly _optionsForNgExtension;
    get optionsForNgExtension(): Partial<ReduxDevtoolsOptions>;
    constructor(options: Partial<ReduxDevtoolsOptions>);
    init(): void;
    private onDevToolsMessage;
    protected updateState(state: AppState): void;
}
