import { Observable } from 'rxjs';
declare type TapResponseObj<T> = {
    next?: (next: T) => void;
    error: (error: any) => void;
    finalize?: () => void;
};
export declare function tapResponse<T>(obj?: TapResponseObj<T>): (source: Observable<T>) => Observable<T>;
export declare function tapResponse<T>(next: (next: T) => void, error: (error: any) => void, finalize?: () => void): (source: Observable<T>) => Observable<T>;
export {};
